package router

import (
	"gin-vue-admin/api/mobile"
	"gin-vue-admin/middleware"
	"github.com/gin-gonic/gin"
)

func InitPointsRouter(Router *gin.RouterGroup) {
	DataPointsCommentRouter := Router.Group("points").Use(middleware.OperationRecord())
	{
		DataPointsCommentRouter.POST("getPointsList", mobile.GetPointsList)
	}
}

func InitPointsPublicRouter(Router *gin.RouterGroup) {
	DataPointsCommentRouter := Router.Group("points").Use(middleware.OperationRecord())
	{
		DataPointsCommentRouter.POST("addByMobile", mobile.PointsAddByMobile)
		DataPointsCommentRouter.POST("pointsNumByMobile", mobile.PointsNumByMobile)
	}
}
